Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000825Taste[All Projects] ASN.1 Compiler v4public2019-01-17 10:202019-09-26 14:02
Reportermaxime 
Assigned Togmamais 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0000825:

termination-pattern

Description

I wrote this grammar:

Types DEFINITIONS ::=
BEGIN
   Str ::= IA5String (SIZE (1..10)) (FROM("A".."Z"|"a".."z"|" "))

   Fmt1 ::= SEQUENCE {
      a Str,
       b Str,
       c Str,
       d Str
   }
   test-data Fmt1 ::= { a "Hello", b "World", c "How", d "Are you" }
END

And this ACN:

Types DEFINITIONS ::= BEGIN
    Str[]
    Fmt1[] {
       a [encoding ASCII, size null-terminated, termination-pattern '3B'H],   -- separator=";"
       b [encoding ASCII, size null-terminated, termination-pattern '403B'H], -- "@;"
       c [encoding ASCII, size null-terminated, termination-pattern '3B'H],
       d [encoding ASCII, size null-terminated, termination-pattern '253B'H]  -- "%;"
    }
END

This raises an error:

 error: ternination-patern value must be a byte

Please fix the typos: terMination=patTern

Could we extend the pattern to several bytes (i.e. any pattern)?

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003575)
gmamais (developer)
2019-02-16 10:05

Please note that all typos have been fixed (including others). The extension to include several bytes will be implemented soon.

(0003587)
gmamais (developer)
2019-03-06 09:36

Fixed in ada_rtl branch.
A new test case added that demonstrates the multiple byte null termination functionality.

(0003652)
maxime (administrator)
2019-09-26 14:02

Thanks, closing


- Issue History
Date Modified Username Field Change
2019-01-17 10:20 maxime New Issue
2019-01-17 10:20 maxime Status

new => assigned

2019-01-17 10:20 maxime Assigned To

=> gmamais

2019-02-16 10:05 gmamais Note Added: 0003575
2019-03-06 09:36 gmamais Note Added: 0003587
2019-03-06 09:36 gmamais Status

assigned => resolved

2019-03-06 09:36 gmamais Resolution

open => fixed

2019-09-26 14:02 maxime Note Added: 0003652
2019-09-26 14:02 maxime Status

resolved => closed



Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker